summaryrefslogtreecommitdiff
path: root/build.me
diff options
context:
space:
mode:
authorAaron M. Ucko <ucko@debian.org>2005-03-23 17:39:07 +0000
committerAaron M. Ucko <ucko@debian.org>2005-03-23 17:39:07 +0000
commita7c5bff619aa4850d09825888b5f46c7cd086f11 (patch)
tree2ab2dd2ff2977a5e0bcfdd90a17ca4f1a73181fc /build.me
parentbfbecafe8b6142e8356e8447f0822b43e94b64b7 (diff)
Load ncbi (6.1.20010709) into ncbi-tools6/branches/upstream/current.
Diffstat (limited to 'build.me')
-rwxr-xr-xbuild.me40
1 files changed, 40 insertions, 0 deletions
diff --git a/build.me b/build.me
new file mode 100755
index 00000000..b88e9f84
--- /dev/null
+++ b/build.me
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# $Id: build.me,v 1.6 1999/08/12 18:38:41 beloslyu Exp $
+#
+# W A R N I N G ! ! !
+# That script is intended for internal use in NCBI only
+#
+#
+
+#check that we're running withing NCBI
+MYDOMAIN=`grep '^domain' /etc/resolv.conf |awk '{print $2}'`
+if [ "$MYDOMAIN" != "nlm.nih.gov" ] ; then
+ echo That script is intended for internal use in NCBI only
+ exit 1
+fi
+
+SCRIPTDIR=/am/ncbiapdata/scripts
+CWD=`pwd`
+UPDIR=`dirname $CWD`
+MYDIR=`basename $CWD`
+if [ "$MYDIR" != "ncbi" ] ; then
+ echo that script should be located in \"ncbi\" directory
+ exit 1;
+fi
+
+echo "Rebuilding ASNs..."
+#first rebuild the asn
+$SCRIPTDIR/rebuild_asn $CWD
+if [ "$?" != 0 ] ; then
+ echo rebuild_asn failed, bye...
+ exit 1
+fi
+
+#now make needed directories if they're absent
+mkdir -p include bin lib build altlib shlib >/dev/null 2>&1
+
+#now start the build
+cd .. && time $SCRIPTDIR/makedis.csh 2>&1 | tee $CWD/out.makedis.csh
+
+exit 0